Table of Contents

## Name

im_correl - search for image match

## Synopsis

#include <vips/vips.h>

int
im_correl( IMAGE *ref, IMAGE *sec,
int xref, int yref, int xsec, int ysec,
int hwindowsize, int hsearchsize,
double *correlation, int *x, int *y )

## Description

im_correl() is the base image-searching function used by the mosaicing functions im_lrmosaic() and im_tbmosaic(), and by the matching funtions im_match_linear() and im_match_linear_search().

It finds the position of the secondary image sec within ref. It searches the area around xsec , ysec for the best match for the area around xref , yref. It searches an area of size hsearchsize for a match of size hwindowsize. The position of the best match is returned, together with the correlation at that point.

Only the first band of each image is correlated. ref and sec may be very large --- the function extracts and generated just the parts needed. Correlation is done with im_spcor(); the position of the maximum is found with im_maxpos().

## See Also

im_fastcor(3) , im_spcor(3) , im_maxpos(3) , im_match_linear(3) , im_lrmosaic(3) .

## Author

J.Cupitt - 22/02/93

## Copyright

The National Gallery and Birkbeck College, 1989-1996.

Table of Contents

- Name
- Synopsis
- Description
- See Also
- Author
- Copyright